/*
 * Copyright (C) ThermoFisher Scientific Inc.- All Rights Reserved
 *  Unauthorized use or copying of this file, via any medium is strictly prohibited and will be subject to legal action.
 *  Proprietary and confidential
 */

const electron = require('electron');
const app = electron.app;
const BrowserWindow = electron.BrowserWindow;
const {dialog} = require('electron');


var mainWindow;
const path = require('path');
function createWindow () {
  // Create the browser window.
  mainWindow = new BrowserWindow({width: 886, height: 567, minWidth: 768, minHeight: 381});
  webContents = mainWindow.webContents;
  console.log('New::','file://' + __dirname);
  const exec = require('child_process').exec;
  exec('rm -rf ./*', function(error, stdout, stderr){
    if (error) {
      console.error('exec error:',error);
      return;
    }
    console.error('stdout:',error);
    console.error('stderr:',error);
  });


}

app.on('ready', createWindow);

// Quit when all windows are closed.
app.on('window-all-closed', function () {
  if (process.platform !== 'darwin') {
    app.quit();
  }
})

app.on('activate', function () {
  if (mainWindow === null) {
    createWindow();
  }
})